using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("delivery_part_modifier"), PrimaryKey("Year", "DId", "DPNr", "ModId")]
    public class DeliveryPartModifier {
        [Column("year")]
        public int Year { get; set; }

        [Column("did")]
        public int DId { get; set; }

        [Column("dpnr")]
        public int DPNr { get; set; }

        [ForeignKey("Year, DId, DPNr")]
        public virtual DeliveryPart Part { get; private set; } = null!;

        [Column("modid")]
        public required string ModId { get; set; }

        [ForeignKey("Year, ModId")]
        public virtual Modifier Modifier { get; private set; } = null!;
    }
}
